# Contributing Guide

Our project is Open Source! We love it when people contribute!

## Report an issue

If you find a bug you are welcome to report it. We can only handle well-reported, actual bugs, so please follow the guidelines below.

### Quick Checklist for Bug Reports

Issue report checklist:

- Real, current bug
- No duplicate
- Reproducible
- Good summary
- Well-documented
- Minimal example

### Issue handling process

When an issue is reported, a committer will look at it and either confirm it as a real issue, close it if it is not an issue, or ask for more details.

An issue that is about a real bug is closed as soon as the fix is committed. The closing comment explains which version will contain the fix.

## Rejections

Pull Request rejections are not a bad thing. It just means you need to fix something. Perhaps it is important to define 'rejection' as it is used in this case.

## Developer Certificate of Origin (DCO)

Due to legal reasons, contributors will be asked to accept a DCO when they create the first pull request to this project. This happens in an automated fashion during the submission process. SAP uses [the standard DCO text of the Linux Foundation](https://developercertificate.org/).

## Contacting Us

- Email: tal.mirmelshtein@sap.com, sagi.shmuel@sap.com